Introduction

VSM STUDIO

Généralités

VSM studio est un environnement de développement intégré (EDI) inclut dans Proteus V8, conçu pour naturellement avec le logiciel de simulation Proteus VSM. En plus des fonctionnalités attendues dans un EDI, nous y avons ajouté les points suivants:

  • Une Détection et une configuration automatique d'un nombre croissant de compilateurs qui génèrent un format de sortie compatible avec la simulation Proteus VSM. Le processus est aussi simple que d'appuyer sur un bouton afin de vous permettre de travailler sur un projet le plus rapidement possible, sans avoir à apprendre comment paramétrer le compilateur.

  • Une Communication directe avec l'outil de saisie de schéma ISIS. Une compilation réussie applique le firmware au microcontrôleur du schéma. Les commandes de débogage de VSM Studio (point d'arrêt, pas à pas, etc.) avancent en synchronisme et mettent en pause la simulation du schéma.

  • Une technologie de fenêtres popup actives qui autorisent la définition de zones d'intérêt dans le schéma, puis les ancrent dans dans VSM Studio pendant la simulation. Cette fonction permet d'avoir en même temps une vue de périphériques (afficheur LCD par exemple) et d'intéragir (boutons, commutateurs par exemple) avec votre schéma pendant le débogage dans l'EDI.

A propos de cette documentation

Ce fichier d'aide contient un tutorial simple et quelques informations générales sur la façon de travailler avec l'EDI VSM Studio.

Une aide plus approfondie peut être obtenue grâce aux boutons avec un point d'interrogation, visibles en haut des boites de dialogue ou via le raccourci clavier F1.


Guided Tour

VISITE GUIDEE

Généralités

VSM Studio devrait être familier aux développeurs habitués à travailler avec un EDI. C'est un des modules principaux de Proteus V8 qui peut être ouvert à tout moment depuis la barre d'outils.

Les trois zones principales de VSM Studio sont décrites sur l'image ci-dessous.

.

Arbre du projet

L'arbre du projet contient une liste triée des fichiers du projet courant. Il peut inclure les fichiers sources, les fichiers entêtes, les fichiers bibliothèques et les fichiers 'include'.

Exemple de vue de l'arbre projet

  • Un double-clic sur un fichier de l'arbre projet ouvre ce fichier dans la fenêtre d'édition.

  • Un clic droit sur un fichier ouvre un menu contextuel qui, entre autre, permet de supprimer le fichier du projet.

Context Menu on File

  • Un clic droit sur une catégorie (t.q. les fichiers sources) présente un menu contextuel différent qui autorise l'ajout de fichiers dans la catégorie.

Menu contextuel.

Vous pouvez également ajouter ou supprimer des fichiers du projet directement depuis le menu 'Projet'.

Fenêtre d'édition

La fenêtre d'édition permet d'éditer tous les fichiers sources. Si plusieurs fichiers sont ouverts en même temps, chaque fichier possède son onglet dans la fenêtre d'édition.

Onglets multiples des fichiers ouverts dans la fenêtre d'édition.

Pour ouvrir un fichier, il suffit de cliquer sur l'onglet correspondant. Fermer un fichier dans la fenêtre d'édition (via la croix dans la partie supérieure droite de l'onglet) retirera le fichier de la fenêtre d'édition mais pas de l'arbre du projet.

Lors de l'écriture ou l'édition d'un firmware, vous accéderez à la plupart des commandes directement depuis le menu contextuel sur clic droit. Ces commandes sont également présentes dans le menu 'Edition'.

Menu 'Edition'

Fenêtre de sortie

La fenêtre de sortie affiche le résutat de la compilation du projet ainsi que des informations supplémentaires.

Fenêtre de sortie après compilation.

Barre d'outils

La barre d'outils de VSM Studio permet un accès rapide aux commandes les plus utilisées.

Barre d'outils VSM Studio.

Il y a deux icônes à droite de la barre d'outils qui contrôlent l'interface entre VSM Studio et la simulation VSM. Cela vous permet d'ouvrir un projet dans ISIS et de lancez sa simulation dans la foulée.

Voir Icone de référence pour une description de chaque icône.

Voir la section sur le Débogage pour plus d'information sur l'utilisation de VSM Studio avec Proteus VSM.

Un clic droit sur une zone vide de la barre d'outils fournit les options disponibles dans la barre d'outils afin de sélectionner celles que vous voulez voir apparaître et celles que vous voulez cacher.

Positionnement des fenêtres et styles

Les nombreuses fenêtres utilisées pour l'édition ou le débogage peuvent être positionnées ou personnalisées en terme de style grâce aux techniques habituelles:

  • Un glisser-déposer depuis la barre de titre grise repositionne la fenêtre.

  • Un double clic dans la barre de titre ou un simple clic dans l'icône 'double rectangle' rend la fenêtre flottante.

  • Un double clic dans la barre de titre d'une fenêtre flottante verrouillera à nouveau cette fenêtre à sa position précédente. Accessoirement vous pouvez glissez une fenêtre flottante vers une nouvelle position fixe.

  • La fenêtre de sortie peut être fermée grâce à la croix de la partie droite de la barre de titre ou par un clic droit dans la barre d'outil (expliqué plus haut).

  • L'arbre de projet et la fenêtre de sortie peuvent être redimensionnés en déplaçant les bords des fenêtres.

Le style et les couleurs des fenêtres sont modifiables via l'éditeur de configuration du menu 'Configuration'.

  • D'abord, sélectionnez les polices et les couleurs et choisissez la fenêtre à configurer.

Choisir la fenêtre à configurer.

  • Ensuite, sélectionnez l'élément à modifier afin d'adapter les valeurs présentes dans la partie droite de la boite de dialogue.

  • Répétez l'opération pour chaque élément.
  • Reportez les modifications grâce au bouton OK.

  • La fenêtre d'édition contient d'autres options pour configurer le code, l'indentation, la mise en surbrillance de ligne. Une aide spécifique est disponible par un clic sur le point d'interrogation situé en haut de la fenêtre..

Appel de l'aide contextuelle.


Compilers

COMPILATEURS

Généralités

Une des fonctionnalités les plus importantes de VSM Studio est la détection et la configuration automatiques des compilateurs supportés, ce qui assure un fonctionnement correct de la simulation dans Proteus VSM. Ceci signifie que pour tout projet, un compilateur doit être installé.

Compilateurs supportés

Nous indiquons ci-dessous la liste des compilateurs supportés - veuillez vous reportez aux instructions plus loin sur la recherche et le téléchargement. Nous nous sommes attachés à supporter les outils de génération gratuits et à inclure quelques compilateurs parmi les plus populaires.

Nous comptons étendre progressivement la liste des compilateurs supportés et sommes preneurs de vos suggestions (support@labcenter.com). Afin d'inclure un compilateur, celui-ci doit être capable de générer un format de débogage standard et il faut que nous soyons en mesure de tester sa compatibilité avec Proteus. Le support d'un compilateur dépend également de sa popularité et des demandes de la part des utilisateurs.

IAR
  • IAR for 8051
  • IAR for ARM
MPLAB
  • MPLAB C18
  • MPLAB C30
  • MPASM
CCS
  • CCS for PIC
CodeComposer
  • CodeComposer for MSP430
GCC
  • GCC for ARM
  • WinAVR
Hi-Tech
  • Hi-Tech pour PIC10/12/16
  • Hi-Tech pour PIC18
  • Hi-Tech pour dsPIC
ASEM-51
  • ASEM-51 pour 8051 (assembleur seul)
AVRASM
  • AVRASM pour AVR (assembleur seul)
Keil
  • Keil uVision4 pour 8051

Détection de compilateur

Après une nouvelle installation de Proteus, lorsque vous ouvrez le module VSM studio, une recherche automatique sera lancée pour détecter les compilateurs déjà installés sur votre ordinateur. Vous pouvez voir le résultat de cette recherche grâce à la commande 'Configuration des compilateurs' du menu 'Configuration'.

  • Utilisez le bouton 'check-all' pour réaliser une recherche complète et localiser les nouvelles installations.

  • Si vous sélectionnez un compilateur dans la liste, vous pouvez utilisez le bouton 'check' pour rechercher ce compilateur particulier.

  • Si vous avec un compilateur installé dans une autre unité logique, vous pouvez indiquer son emplacement manuellement à VSM studio grâce au bouton 'Manual'. Une autre méthode consiste à cliquer dans le champ de dossier du compilateur puis à entrer manuellement l'emplacement.

Entrez l'emplacement du compilateur manuellement.

Quittez la boite de dialogue et reportez le modifications par un clic sur le bouton OK.

Un double-clic sur le compilateur dont vous avez besoin lancera le site Internet du frabricant sur lequel vous pourrez télécharger ce compilateur. Une fois que le compilateur est téléchargé et installé, utilisez le bouton de contrôle de la boite de dialogue afin de trouver et configurer votre compilateur pour l'utiliser dans Proteus VSM.

Le résultat de toute recherche apparaîtra dans la fenêtre de sortie. Notez que les anciennes versions de certains compilateurs ne sont pas supportées car il n'est plus possible de les trouver, de les tester, ou qu'elles ne produisent pas de sortie à un format convenable.

Utilisez la touche F1 ou cliquez sur le bouton d'interrogation de la fenêtre pour obtenir une aide.

Configuration du compilateur

Lorsque le compilateur a été détecté, il est automatiquement configuré pour produire une sortie compatible avec le débogage source de Proteus VSM. Il génère également un fichier binaire compatible avec le composant à programmer. Ces sorties sont appelées respectivement configurations 'Debug' et 'Release' .

En pratique, seule la configuration 'Debug' est significative pour travailler avec Proteus, c'est pourquoi elle est toujours sélectionnée par défaut lorsqu'un projet est ouvert ou créé.

Configuration Debug pour une utilisation avec Proteus simulation.

Pour la plupart des projets, nous avons seulement besoin de construire le projet (Menu 'Projet' - Commande 'Contruire projet') après que le firmware ait été écrit. Cependant, si besoin est, toutes les options de compilation/assemblage/édition de liens peuvent être éditées depuis la boite de dialogue de configuration du project.

Sélectionnez la commande 'Configuration projet' du menu 'Construire' de VSM Studio (ou par un clic droit dans l'arbre du projet pour accéder au menu contextuel).

Options d'édition des compilateurs dans la configuration de débogage

Il y a un certain nombre d'outils (qui dépendent de la chaîne d'outils utilisée) qui peuvent être sélectionnés individuellement en haut à gauche de cet onglet. Vous pouvez également ajouter des options à chaque outil.

Options de configuration des outils dans une chaîne d'outils.

Vous trouverez plus d'informations sur ces options dans le manuel de référence de chaque compilateur.

Le bouton PAR DEFAUT de la boite de dialogue restaure la configuration initiale du compilateur.


Loading a Project

CHARGER UN PROJET

Généralités

La première étape quand vous travaillez dans VSM Studio est de créer et lancer un projet dans l'environnement de développement intégré EDI. Vous pouvez le faire de plusieurs façons : T

  • Ouvrir un projet test.
  • Ouvrir un projet existant.
  • Créer un nouveau projet.

Ouvrir un projet test

Proteus VSM est fourni avec des exemples de projets qui, non seulement sont une bonne introduction au logiciel, mais constituent une aide très utile à la conception.

Ouvrir un projet test:

  1. Sélectionnez la commande 'Ouvrir un projet exemple' dans le menu FICHIER de VSM Studio.

  2. Filtrez les projets en sélectionnant une catégorie ou une famille de microcontrôleurs..

  3. Cliquez sur l'exemple que vous souhaitez ouvrir.

  4. Quittez la boite de dialogue en cliquant sur le bouton OK.

Ouvrir un projet existant

Vous pouvez ouvrir un projet que vous avez précédemment crée via la commande 'Ouvrir Projet' du menu FICHIER.

Créer un nouveau projet

Les nouveaux projets peuvent être créés à partir de la commande 'Nouveau Projet' du menu FICHIER. En cliquant dessus, vous lancerez l'assisant des nouveaux projets ci-dessous:

Assistant des nouveaux projets dans VSM Studio.

La partie gauche de l'assistant de projet fournit les trois points de départ pour la création de projet.

Aucun

Cette option peut être sélectionnée si vous n'avez aucun firmware (fichiers source) ou hardware (schéma ISIS) crée pour votre projet et voulez démarrer de zéro.

Fichier 'Projet'

Cette option peut être sélectionnée quand vous avez déjà un schéma pour votre projet que vous souhaitez importer pour écrire le firmware qui permettra de le tester.

Sélectionnez cette option, puis tapez le chemin qui mène au fichier ou utilisez le bouton 'parcourir' à droite du champ.

Créer un projet VSM Studio avec un schéma existant

Une fois que vous avez sélectionneé votre schéma, la partie droite de la boite de dialogue vous donne les fichiers source qui existent dans le même répertoire que le fichier schéma. Vous pouvez alors sélectionner ceux que vous souhaitez importer dans votre projet.

*

Carte de démonstration

Cette option peut être sélectionnée si vous souhaitez baser votre projet sur une carte de démonstration générique plutôt que de démarrer de zéro. Contrairement aux projets test, les cartes de démonstration sont complètes et votre projet sera initialisé à partir d'un schéma complet avec fichier source.

Configuration

Une fois que vous avez sélectionné le point de départ de votre projet, cliquez sur le bouton SUIVANT pour configurer le processeur et la chaîne d'outils.

Ces options doivent être données dans le bon ordre. Par exemple, vous ne pouvez pas choisir un compilateur sans avoir d'abord spécifié une famille et un processeur cible.

Si vous choisissez une famille de microcontrôleurs qui supporte un compilateur qui n'est pas encore installé, cette information sera indiqué dans le champ correspondant, comme ci-dessous:

On voit que le compîlateur GCC for ARM n'est pas installé, mais que IAR pour ARM est disponible.

Note:

  • VSM Studio a été spécialement intégré pour travailler avec Proteus VSM. Vous ne pouvez par conséquent pas choisir une famille de microcontrôleur que vous ne possédez pas.

  • De la même façon, seuls les compilateurs qui ont été testés et sont connus dans Proteus VSM seront détectés et configurés dans VSM Studio. Au moins un compilateur gratuit est supporté pour chaque famille de processeurs. VSM Studio peut automatiquement les détecter et les configurer après leur installation.

Vous trouverez plus d'information sur les compilateurs ici.

Une fois tous les champs remplis, quittez la boite de dialogue en cliquant sur le bouton OK afin de sauvegarder votre projet avant de le lancer dans VSM Studio.


Firmware_Development

DEVELOPPEMENT DU FIRMWARE

Généralités

Ecrire ou éditer du code dans VSM studio est une opération classique d'un Environnement de Développement Intégré. Après avoir créé ou importé votre projet, vous pourrez commencer à travailler sérieusement. Cette partie de la documentation détaille les tâches les plus usuelles de l'EDI.

Ajouter / Supprimer / Renommer les fichiers

Pour ajouter un fichier au projet

Soit

Cliquez droit dans la catégorie du projet puis choisissez la commande 'Ajout fichier existant' ou 'Ajout nouveau fichier' du menu contextuel. Notez que vous devez cliquer sur le nom de la catégorie (t.q. Fichiers sources) et pas sur le fichier lui-même.

Soit

Sélectionnez la commande 'Ajout fichier existant' ou 'Ajout nouveau fichier' directement dans le menu 'Source'.

Pour supprimer un fichier du projet

Soit

Cliquez droit sur le nom de fichier dans l'arbre du projet et sélectionnez la commande 'Supprimer fichier' du menu contextuel.

Soit

Sélectionnez la commande 'Supprimer fichier' du menu 'Projet'. Cette action supprimera le fichier actuellement sélectionné dans l'arbre de projet.

Pour renommer un fichier

Cliquez droit sur le nom de fichier dans l'arbre du projet et sélectionnez la commande 'Renommer fichier' du menu contextuel.

Renommer le fichier enregistrera le nouveau nom dans le projet et sur le disque.

Ouvrir et fermer des fichiers pour édition

  • Pour ouvrir un fichier dans la fenêtre d'édition, il suffit d'un double-clic dans l'arbre du projet.

  • Pour fermer un fichier dans la fenêtre d'édition, utilisez la croix placée au haut et à droite de l'onglet. Ceci fermera le fichier sans le supprimer du projet.

  • Pour commuter entre les fichiers ouverts dans la fenêtre d'édition, utilisez le raccourci clavier CTRL+TAB ou cliquez sur l'onglet approprié.

Chercher et remplacer

Pour chercher du texte dans le projet

  1. Lancez la boite de dialogue de recherche soit par un clic droit dans la fenêtre d'édition, soit via le menu 'Edition'.

  2. Entrez la chaîne à rechercher et, si nécessaire, le texte de remplacement.

  3. Indiquez la visibilité de la recherche (le document courant, tous les documents ouverts, le projet courant).

  4. Ajoutez des options de recherche. La syntaxe d'expression est basée sur le langage Perl et doit être considérée comme une option avancée.

Le raccourci clavier F3 permet de rechercher la séquence suivante dans un fichier.

Editer les couleurs et les styles

Vous pouvez modifier l'apparence de l'EDI via la commande 'Configuration éditeur' du menu 'Configuration'. L'onglet 'Polices et couleurs' de cette boite de dialogue permet de modifier les options de mise en surbrillance des fenêtres.

L'onglet 'Editeur' contient des options de configurations spécifiques à l'édition.

Les onglets contiennent une aide contextuelle.

Configuration des compilateurs et compilation

Pour compiler votre projet

  1. Vérifier la configuration dans la liste de la barre d'outils (Debug pour une simulation avec Proteus).

  2. Cliquez sur le bouton 'build' ou lancez la commande 'Construire projet' du menu 'Projet'.

  3. Les informations sur la compilation sont affichées dans la fenêtre de sortie et doivent se terminer par le message 'Compiled Successfully'.

Pour chercher et corriger les erreurs de compilation

  1. Localiser le message d'erreur dans la fenêtre de sortie.

  2. Cliquez sur le message pour localiser la ligne dans la fenêtre d'édition.

Pour chercher et corriger les erreurs d'édition de liens

Il se peut qu'une erreur concerne l'édition de liens (linker) ou nécessite d'éditer la configuration du projet pour ajouter une bibliothèque ou un fichier à inclure. Pour ce faire, commencez par lancer la boite de dialogue de configuration du projet et valider l'onglet 'Compilateur'.

Ensuite, sélectionnez l'outil dont vous avez besoin (CC est le compilateur, ASM est l'assembleur, LD est l'éditeur de liens, etc) et ajoutez les options supplémentaires éventuellement utiles dans la partie droite. Reportez-vous au manuel du compilateur, sachant que l'option la plus commune est '-L' pour ajouter un répertoire au chemin de recherche de l'éditeur de liens.

Ajoutez l'option et la valeur (le chemin du dossier dans l'exemple ci-dessus).

Pour terminer, quittez la boite de dialogue et lancez une nouvelle compilation du projet.

Travailler avec Proteus VSM

Un schéma ISIS est associé à tout projet de VSM Studio afin que vous puissiez facilement passer du développement du code aux phases de test et de débogage.

  • Si un schéma est associé au projet, alors cliquez simplement sur le bouton ISIS dans la barre d'outils en haut de la fenêtre d'édition pour lancer ISIS et programmer le processeur pour la simulation.

  • Si vous n'avez pas encore associé un schéma au projet, vous pouvez le faire en sélectionnant l'option 'Importer un pojet' dans le menu PROJET. Une fois votre projet ajouté, lancez ISIS pour la simulation.

  • Si vous n'avez pas encore dessiné le schéma qui accompagne le projet, lancez ISIS, créez votre schéma, puis ajoutez-le au projet VSM Studio.

Plus d'information sur le test et le débogage sont données ici.

Plus d'information sur la création de schéma et l'association à des projets VSM Studio sont données ici.


Schematic Development

DEVELOPPEMENT DU SCHEMA

Généralités

VSM Studio a été conçu comme un environnement de développement intégré (EDI) universel qui peut communiquer directement avec le logiciel de simulation Proteus VSM. Pour permettre cette communication, vous devez avoir un schéma Proteus présent dans votre projet VSM Studio. Ce schéma peut être dessiné avant ou en parallèle du développement du firmware.

Quand vous commencez par le dessin du schéma

Si vous avez déjà dessiné votre schéma pour un projet ou voulez réutiliser un schéma déjà créé auparavant, la seule chose qui vous reste à faire est de l'inclure dans un projet VSM Studio. Vous pouvez le faire en utilisant l'option 'Ajouter Fichier Schéma' dans le menu PROJET.

Tous les fichiers de votre projet, incluant le fichier du schéma, doivent être contenus dans un seul répertoire.

Quand vous compilez votre projet, vous pouvez cliquez sur l'icône ISIS de la barre d'outils de VSM Studio pour lancer votre schéma et programmer le microprocesseur avec votre firmware.

Développement en parallèle du schéma et du projet VSM Studio

La encore, l'idée est d'associé le fichier 'schéma' au projet.

  • Si vous avez commencé à dessiner votre schéma en premier lieu, alors vous pouvez ajouter votre schéma comme décrit précédemment.

  • Si vous avez démarré le développement du firmware en premier, alors vous devez créer et ajouter un fichier 'schéma' via la commande 'Créer Fichier Schéma' du menu PROJET.

Quand vous commencez par le développement du Firmware

Si vous avez développé le firmware avant le schéma, alors vous devez créer votre schéma à partir de VSM Studio en utilisant l'option 'Créer Fichier Schéma' du menu PROJET, comme décrit précédemment.

Pour les détails sur la création de schéma dans ISIS, veuillez consulter le tutorial de référence.


Testing and Debugging

TEST ET DEBOGAGE

Généralités

Une fois que vous avez développé le firmware et le schéma, il vous faut tester que tout fonctionne comme souhaité. Cette étape se déroule en grande partie dans ISIS bien que VSM Studio prime sur le schéma lors de la simulation. Le processus est le suivant:

  • Compilation du projet (configuration de débogage) dans VSM Studio.
  • Cliquez sur l'icône ISIS pour lancer le schéma du projet et programmer le firmware dans le schéma.

Le manuel d'aide de VSM auquel vous pouvez vous référer, contient de nombreux détails sur la simulation et le débogage. Vous trouverez cependant le processus de base décrit ci-dessous :

1) Après avoir lancé le schéma dans ISIS à partir de VSM Studio, appuyez sur le bouton PAUSE du panneau de contrôle des animations.

2) En règle générale, nous voulons voir à la fois la fenêtre du code source, la fenêtre des variables et la barre de status qui signale que la simulation a été mise en pause au temps zéro.

3) Les fichiers source individuels peuvent être sélectionnés à partir de la liste déroulante dans la fenêtre du code source; des fenêtres de débogage additionnelles sont également disponibles dans le menu DEBOGAGE.

4) Utilisez la commande pas à pas de la fenêtre du code source (ou les raccourcis clavier) pour naviguer dans le code ou placer un point d'arrêt, puis appuyez sur le bouton LECTURE (PLAY) du panneau de contrôle des animations pour lancer la simulation jusqu'au point d'arrêt.

Les fenêtres du code source et des variables (de même que la plupart des fenêtres de débogage) disparaissent pendant la simulation afin que vous puissiez voir et intéragir avec les éléments du schéma. Si vous stoppez à nouveau la simulation, les fenêtres de débogage redeviendront visibles afin que vous puissiez analyser en détail votre code.

La seule exception est la fenêtre de visionnage qui reste visible tout le temps de la simulation (lancement à partir du menu DEBOGAGE). Vous pouvez glisser-déposer la fenêtre des variables sur la fenêtre de visionnage comme montré ci-dessous:

Vous pouvez également ajouter des noms de registres en cliquant droit sur la souris:


ICON REFERENCE

Voici la liste des icônes disponibles dans le module VSM Studio avec leur description.

Icone | Description
 | Nouveau projet : Lance l'assistant de nouveau projet pour créer un projet VSM Studio.
 | Enregistrer projet/fichier: Sauvegarde le projet/fichier courant sur disque.
 | Enregistrer projet sous: Sauvegarde le projet courant sous un nom différent.
 | Ouvrir projet: Ouvre un projet existant sur disque.
 | Fermer projet/fichier: Ferme le projet/fichier courant.
 | Ouvrir un fichier: Oouvre un fichier existant sans l'ajouter au projet courant.
 | Ajouter un fichier existant au projet: Ajoute au projet courant un fichier existant sur disque .
 | Ajouter un nouveau fichier au projet: Ajoute au projet courant un nouveau fichier (vide).
 | Supprimer un fichier du projet: Supprime un fichier du projet courant.
 | Ajouter un nouveau schéma au projet: Associe un schéma existant avec le projet courant.
 | Configuration du projet: Lance la fenêtre de configuration du projet.
 | Construire le projet: Compiler et construire le projet courant.
 | Nettoyer le project: Efface et supprime tous les fichiers temporaires du projet courant.
 | Défaire: Annule la dernière action exécutée dans l'éditeur.
 | Refaire: Rétablie la dernière action exécutée dans l'éditeur.
 | Coupe: Coupe le texte sélectionné dans le document.
 | Copier: Copie le texte sélectionné dans le presse-papier.
 | Coller: Colle le contenu du presse-paier dans le document.
 | Chercher: Cherche la chaîne de texte ou l'expression.
 | Remplacer: Remplace toute occurrence de la chaîne de texte avec celle indiquée.
 | Lancer simulation: Lance la simulation dans la fenêtre ISIS.
 | Pas à pas principal: Exécute la fonction/section de code en une seule étape.
 | Pas à pas détaillé: Entre dans la fonction/section de code en pas à pas.
 | Pas à pas sortant: Sort de la fonction/section de code.
 | Lancer jusqu'à: Lancer jusqu'au point d'arrêt.
 | Commuter points d'arrêt: Commute les points d'arrêt entre les états ON et OFF
 | Configuration compilateur/éditeur: Lance la fenêtre de configuration compilateur/éditeur.
 | Aide: Lance le fichier d'aide.


Build Configurations

This dialogue form allows you to create a custom configuration for your project or change an existing one.

Each configuration is simply a set of compiler options designed to produce a given type of output file with a specified level of information/optimisation. Configuration settings are stored in the project file.

To create a new configuration, first select one of the existing configurations, use the copy button to create a duplicate and rename as appropriate. Note that configuration names should not contain spaces or special characters.

Changing the target of a configuration then loads a corresponding default set of options for it. Further editing of configuration options would then take place via the project settings dialogue.

To rename configuration double click on it, enter new name and press Enter. Configuration name should not contain spaces and special characters.


Compiler Setup

Overview

This dialogue allows you to automatically scan for selected compilers on your computer. Where found, VSMStudio will remember their location and will automatically configure them to produce an output format most compatible with the Proteus VSM simulation software.

Options

Check All

This option will scan for all of the compilers in the list, test that they are compatible with the Proteus software and configure their command line options for maximum compatibility with Proteus.

You should run this option after installation of the VSMStudio software in order that the software knows which compilers you have on your machine.

Check

This option will test a single selected compiler in the list. Before using, click on the compiler name to specify which compiler you wish to test for and configure.

You should use this option when you have installed a supported compiler and wish to use it in VSMStudio.

Manual

This option lets you specify the directory where a compiler is installed if the automatic detection fails. First, click on the compiler name in the list, then on the manual button and navigate to the directory where the toolchain is installed.

Website

This option opens the website of the selected compiler in your default web browser. After downloading and installing the compiler you can then run the 'Check All' command to detect and configure it for use with VSMStudio.

OK

Save changes to compilers' paths and close dialogue.

Cancel

Close dialogue without saving the changes.

Note that it is the directory where the compiler executable is installed that you need, rather than the file itself.

Alternatively, you can click on the right hand column of the list and type in the path of the compiler specified in the left hand column.

Manual Entry of Compiler Directory.

Additional Information

Compiler Configuration

By default, VSMStudio configures the compiler with two build configurations, Debug and Release.

  • When you compile with the Debug configuration (the default) the output file format will contain debugging information such as variable names and high level source code. This will enable single step debugging inside Proteus VSM after compilation.
  • When you compile with the Release configuration, the output file will be a binary HEX file, suitable for programming directly to the target hardware. This will also simulate in Proteus VSM but no single step debugging is available.

You can, if you wish, change the configuration options via the Project Settings dialogue form (Options button beside the configuration selection). We consider this an advanced feature and would not recommend changing these settings.

Adding New Compilers

At the time of writing there is no mechanism for manually adding a compiler not on the list. We are, however, actively working on increasing the support for different compilers and would welcome your feedback - please e-mail us requests to support@labcenter.com

It is important that we have a copy of the compiler (demo or otherwise) such that we can ensure that it's output formats are compatible with the Proteus VSM simulation software.


Copy Project

Overview

This dialogue appears after invoking the Save Project As command and provides some control over what files to save in the new project directory and the sub-directory structure for the project.

We strongly recommend that, unless you have good reason, you leave the default options selected on this dialogue.


Directories Settings

Overview

These options allow you to specify the default locations for various tools and utilities that VSMStudio needs to run, as well as the location for your own VSMStudio projects.

If you want to change the default location for a particular option you can browse via the button above that option or type the path directly into the edit field.

Manual entry of the Projects directory.

Default settings for any option can be restored at any time by clicking on the button above that option.

Options

Compiler Configuration Files

This is the location of the files that VSMStudio uses to locate and configure compilers to work with the Proteus software folder.

Simulator Configuration Files

This is the location of the files that tell VSMStudio which microcontroller variants are available for simulation inside the Proteus VSM software. It is used in the New Project Wizard to limit selection of processor to those available for simulation/debugging.

Syntax Highlight Files

This location contains the fileset used for syntax highlighting of the various assembly languages supported by the processor families available in Proteus.

Tools Files

This is the location of the VSMStudio executable and utility applications.

Development Boards Files

This is the location of the pre-supplied Proteus development boards. Development boards are general purpose evaluation boards for which you can write and test a variety of firmware programs.

The development boards supplied tend to be virtual equivalents of real world hardware boards provided by silicon vendors.

Proteus

This is the location of your Proteus installation. Note that if you need to change this the path entered should be to the root of the Proteus installation and not to the Bin directory.

Projects

This directory is where you will (by default) store any VSMStudio projects that you create.


Editor Settings

Overview

This tab allows you to add or change various style guides included with the VSMStudio IDE.

Options

Line Options

These options allow you to add or remove the line number display at the left hand side of the Editor Window and/or to remove the current line highlighter.

Editor Line Setting Options.

Brace Options

This option turns on or off highlighting of the corresponding brace when text cursor is positioned next to one of them.

Brace Matching Options.

Indentation Options

These options allow you to specify whether to use tabs or spaces for indentation, indentation and tab width when pressing the tab button. Other options allow you to turn on or off automatic indentation when starting a new line by pressing enter button and to controls displaying vertical indentation marks which can improve text layout.

Indentation Options.

Whitespace Options

These options let you control whether whitespaces should be marked visible on the editor, whether you want to wrap whitespaces and what mode you want to use for end of line marking. In the latter case you can both convert to your chosen mode and choose to display end of line markers.

In the majority of cases we would not expect these options to be changed from their default values.

Whitespace Configuration Options.

Code Folding Options

Code folding is a feature whereby the entry and exit braces to functions are matched and you can choose to hide (or fold) the contents of the function, leaving only the function header visible. It can be extremely useful in large files where you are no longer interested in the workings of completed and known good functionality.

This is implemented by clickable plus and minus signs at the left hand of the editor window. The options provided here enable you to turn code folding on and off and also to configure visually the clickable fold icons.

Code Folding Options.


Find and Replace

Find & Replace

Overview

This dialogue allows you to find text in one or more documents (files) and optionally to replace it with different text.

Options

Find Text

Specify the text string that you want to search for.

Replace

If you want to replace the text that is found with different text then check this box and type the replacement string in the edit field below the checkbox.

Scope

This selector defines the scope of the search and has the following options:

  • Current Document - searches only in the document with the focus.

  • All Open Documents - searches in all documents that are currently open in the Editor.

  • Current Project - searches all documents in the current project.

  • All Open Projects - seearches all documents in all projects currently open.

Search Upwards

Use this checkbox to change the search direction through a file from bottom to top. In the current file the search will start at the current line (if one is selected) and work backwards from that, while in other files the search will start at the bottom of the file.

Match Case

This checkbox makes the search case-sensitive such that capital letters are differentiated from lower case letters when deciding whether a match to the search string has been found.

Match Whole Words Only

Checking this option restricts search results to those which are complete words. For example, when selected with a search string of 'chip' you will not get a match from text reading 'Microchip' or 'chips'.

Regular Expression Matching

When selected the search string is treated as a regular expression (QT regular expressions which are Perl based) and will return results based on the evaluation of the regular expression. This should only be selected if you are familiar with the Perl regular expression syntax.


Font Settings

Fonts & Colour Settings

Overview

This tab allows full configuration of the fonts, sizes and colours of text on the editor window, project pane and output window.

Options

Window Selection

Use the settings combo box on the left hand side to select which window styles you want to configure. All options on the dialogue form reflect the selection made here and some options may not be available in certain windows.

The load defaults button on the right hand side will return all the settings for the selected window to their installation default state.

Window Selection Options

Font Style and Size

Having specified the window for configuration (Editor, Project, Output), the font settings apply to all text styles in the currently selected window.

You can select both font-face and font-size with these options - fixed width fonts will be displayed in bold in the drop down menu.

Font Selection Options

Display Items Configuration

The remainder of the dialogue form allows you to specifically configure particular text styles both in terms of colour in text decoration (bold, underline, italic). For example, it is extremely common to have a different colour of text for code comments than for actual code.

A complete styling is provided by default but - if you prefer to work with different styles - you can adjust settings here. All changes can be reverted to the installed defaults via the 'Load Defaults' button at the top right of the dialogue.

Configuration Options for Specific Displayed Items


New Project Wizard

Overview

The New Project Wizard provides an interface for creating or importing projects in VSM Studio. There are three basic options:

  • None - Create a Blank Project.
  • Design File - Start a project from a design file and import the associated source files.
  • Demonstration Project - Initialise a project from an existing demonstration board and then modify to suit your requirements.

None

Use this option when creating a new project. After setting up the project file you then add source files and the design file manually from the Project Menu.

If you choose this option it is important that any files added are first copied into the project directory. Some compilers will struggle to cope with source files that are in different directories to the compile directory.

Design File

This option should be selected where you have a schematic design for the project either wish to import or wish to write firmware for testing against the schematic.

Either type in the path to the design file or use the browse button at the right hand side

Creating a VSM Studio Project when the schematic exists.

Once you have selected the design file you want to use, the right hand side of the dialogue form will be populated with any source files that exist in the same directory as the design file. You can then select or de-select these depending on whether you wish to import them into the project or not.

Choosing Source Files for Import.

Demonstration Project

This option should be selected if you wish to base your current project on a generic demonstration board rather than start from scratch. Unlike the sample designs the demonstration boards are templates and your project will be initialised from the template schematic and source.

Project Configuration

Once you have selected the project type you need to configure the target and the toolchain.

First, select the controller family, the controller variant and the processor clock speed. Note that only variants that can simulated in Proteus are available for selection.

Once you have made these selections the compiler list will be populated with the supported compilers for that target.

Notes:

  • A compiler will be suffixed with (not installed) if it has not been detected by VSMStudio and you should then click on the compilers button at the right hand side.
  • Only supported compilers can be used inside VSMStudio.

Compiler Configuration

After clicking the OK button to create the project you cannot change the toolchain choice or controller family choice without creating a new VSMStudio project.


Project Settings

Overview

This dialogue allows you to edit the project settings for each build configuration.

Configuration Combo Box

This configuration shown in this combo box is the one which you can view and edit through the various fields on the dialogue form. The configuration suffixed with 'Active' is the configuration currently specified in VSMStudio to be used for compilation.

Selecting a configuration to edit in the Project Settings Dialogue form.

The Active Configuration in VSMStudio.

At the top right of the dialogue form there is a read only display of the toolchain used for compiling the project. You cannot change the toolchain once a project has been created as the configurations would be completely different.

Controller Tab

The controller tab allows you to specify a particular variant of the selected target family and also to specify the clock frequency for the processor.

  • Family - Read only display of the micro-controller's family.
  • Controller - The micro-controller.
  • Clock Frequency - The clock frequency the simulation will run at, may also be used for timer functions in the code.

The micro-controller selected in the configuration must match the one used on the ISIS schematic for simulation (debug configuration)

You cannot change the target family once a project has been created.

Compiler Tab

Setting of compiler, linker, assembler and any other tools the belong to the tool chain in use for the project. The default options can be restored by using the "Defaults" button. An option value can be edited by either double-clicking on the option or selecting a value from its drop-down menu as appropriate. The basic procedure for adding an option is:

  1. Select the tool (CC=compiler, LD=linker, ASM=assembler, etc.) from the combo box at the left hand side.

  2. Select the option you wish to add from the combo box at the right hand side.

  3. Click the add button to add the option.

  4. Double click in the Value column and set the value you want.

  5. Use the Move up and Move down to re-prioritise the option list if the option you add has dependencies.